# Class JSOFAInternalError

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jastronomy.jsofa.JSOFAException
org.jastronomy.jsofa.JSOFAInternalError

All Implemented Interfaces:
  `Serializable`

public class JSOFAInternalError extends JSOFAException
Exception signalling a internal error. .

Version:
  $Revision$ $date$
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 21 Nov 2011
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JSOFAInternalError(String message, int status)`

## Method Summary

### Methods inherited from class JSOFAException

`getStatus`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JSOFAInternalError

public JSOFAInternalError(String message, int status)